Useful or not, from you.
flutter Parse issue :GeneratedPluginRegistrant Module 'connectivity' not found

I'm not able to build for IOS, My current build is working fine in Android.

Here I have attached a screenshot where I'm facing a problem.

Tried things

  • Flutter doctor.
  • Flutter clean.
  • Delete Pods and Podfile.lock.

While I install build with Android studio on IOS simulator. it is installed perfect but Stuck at Splash.

While make a build with Xcode ios it showing me this attached screenshot error.

Here is required details of my system. [✓] Flutter (Channel unknown, v1.12.13+hotfix.9, on Mac OS X 10.15.2 19C57, locale en-IN)

[✓] Android toolchain - develop for Android devices (Android SDK version 29.0.2) [✓] Xcode - develop for iOS and macOS (Xcode 11.3) [✓] Android Studio (version 3.6) [✓] VS Code (version 1.45.0) [✓] Connected device (1 available)

Screenshot 2020-05-14 at 2 29 19 PM

That's a useful answer
Without any help

There is numerous of those issues open, and even more them are closed without a solution: Open https://github.com/flutter/flutter/issues/53573 Closed https://github.com/flutter/flutter/issues/64655 Closed https://github.com/flutter/flutter/issues/43986 and more.

Some of them are related to other imports than connectivity module but they seems to have in common Podfile and/or target iOS version is different places. However in my case, and as it seems in some others too it doesn't seem to solve it.